#ifndef _TREZOR_T2W1_H
#define _TREZOR_T2W1_H

#define DISPLAY_COLOR_MODE DMA2D_OUTPUT_RGB565

#define DISPLAY_I8080_16BIT_DW 1
#define DISPLAY_PANEL_LHS200KB_IF21 1

#define TPS61043_FREQ 50000
#define TPS61043_TIM TIM1
#define TPS61043_TIM_CLK_EN __HAL_RCC_TIM1_CLK_ENABLE
#define TPS61043_TIM_CLK_DIS __HAL_RCC_TIM1_CLK_DISABLE
#define TPS61043_TIM_FORCE_RESET __HAL_RCC_TIM1_FORCE_RESET
#define TPS61043_TIM_RELEASE_RESET __HAL_RCC_TIM1_RELEASE_RESET
#define TPS61043_TIM_AF GPIO_AF1_TIM1
#define TPS61043_TIM_OCMODE TIM_OCMODE_PWM2
#define TPS61043_TIM_CHANNEL TIM_CHANNEL_1
#define TPS61043_TIM_CCR CCR1
#define TPS61043_PIN GPIO_PIN_7
#define TPS61043_PORT GPIOA
#define TPS61043_PORT_CLK_EN __HAL_RCC_GPIOA_CLK_ENABLE

#define I2C_COUNT 1
#define I2C_INSTANCE_0 I2C2
#define I2C_INSTANCE_0_CLK_EN __HAL_RCC_I2C2_CLK_ENABLE
#define I2C_INSTANCE_0_CLK_DIS __HAL_RCC_I2C2_CLK_DISABLE
#define I2C_INSTANCE_0_PIN_AF GPIO_AF4_I2C2
#define I2C_INSTANCE_0_SDA_PORT GPIOB
#define I2C_INSTANCE_0_SDA_PIN GPIO_PIN_11
#define I2C_INSTANCE_0_SDA_CLK_EN __HAL_RCC_GPIOB_CLK_ENABLE
#define I2C_INSTANCE_0_SCL_PORT GPIOB
#define I2C_INSTANCE_0_SCL_PIN GPIO_PIN_10
#define I2C_INSTANCE_0_SCL_CLK_EN __HAL_RCC_GPIOB_CLK_ENABLE
#define I2C_INSTANCE_0_RESET_REG &RCC->APB1RSTR
#define I2C_INSTANCE_0_RESET_BIT RCC_APB1RSTR_I2C2RST
#define I2C_INSTANCE_0_EV_IRQHandler I2C2_EV_IRQHandler
#define I2C_INSTANCE_0_ER_IRQHandler I2C2_ER_IRQHandler
#define I2C_INSTANCE_0_EV_IRQn I2C2_EV_IRQn
#define I2C_INSTANCE_0_ER_IRQn I2C2_ER_IRQn
#define I2C_INSTANCE_0_GUARD_TIME 0

#define TOUCH_SENSITIVITY 0x06
#define TOUCH_I2C_INSTANCE 0
#define TOUCH_RST_PORT GPIOC
#define TOUCH_RST_PIN GPIO_PIN_5
#define TOUCH_INT_PORT GPIOC
#define TOUCH_INT_PIN GPIO_PIN_4
#define TOUCH_ON_PORT GPIOB
#define TOUCH_ON_PIN GPIO_PIN_8
#define TOUCH_PANEL_LHS200KB_IF21 1

#define SD_DETECT_PORT GPIOB
#define SD_DETECT_PIN GPIO_PIN_0
#define SD_ENABLE_PORT GPIOE
#define SD_ENABLE_PIN GPIO_PIN_1

#define SBU_1_PIN GPIO_PIN_2
#define SBU_1_PORT GPIOA
#define SBU_1_CLK_ENA __HAL_RCC_GPIOA_CLK_ENABLE
#define SBU_2_PIN GPIO_PIN_3
#define SBU_2_PORT GPIOA
#define SBU_2_CLK_ENA __HAL_RCC_GPIOA_CLK_ENABLE

#define GPIO_1_PORT GPIOC
#define GPIO_1_PIN GPIO_PIN_1
#define GPIO_2_PORT GPIOC
#define GPIO_2_PIN GPIO_PIN_6
#define GPIO_3_PORT GPIOC
#define GPIO_3_PIN GPIO_PIN_7

#define BTN_POWER_CLK_ENA __HAL_RCC_GPIOE_CLK_ENABLE
#define BTN_POWER_PORT GPIOE
#define BTN_POWER_PIN GPIO_PIN_0

#define NRF_IN_GPIO0_PIN GPIO_PIN_1
#define NRF_IN_GPIO0_PORT GPIOC
#define NRF_IN_GPIO0_CLK_ENA __HAL_RCC_GPIOC_CLK_ENABLE
#define NRF_IN_FW_RUNNING_PIN GPIO_PIN_6
#define NRF_IN_FW_RUNNING_PORT GPIOC
#define NRF_IN_FW_RUNNING_CLK_ENA __HAL_RCC_GPIOC_CLK_ENABLE
#define NRF_OUT_RESET_PIN GPIO_PIN_1
#define NRF_OUT_RESET_PORT GPIOA
#define NRF_OUT_RESET_CLK_ENA __HAL_RCC_GPIOA_CLK_ENABLE
#define NRF_OUT_STAY_IN_BLD_PIN GPIO_PIN_12
#define NRF_OUT_STAY_IN_BLD_PORT GPIOB
#define NRF_OUT_STAY_IN_BLD_CLK_ENA __HAL_RCC_GPIOB_CLK_ENABLE
#define NRF_OUT_FW_RUNNING_PIN GPIO_PIN_7
#define NRF_OUT_FW_RUNNING_PORT GPIOC
#define NRF_OUT_FW_RUNNING_CLK_ENA __HAL_RCC_GPIOC_CLK_ENABLE

#endif  //_TREZOR_T3W1_H
